Send Media
curl --request POST \
--url https://api.l2msg.com/whatsapp/message/sendMedia/{instance} \
--header 'Content-Type: application/json' \
--header 'apikey: <api-key>' \
--data '
{
"number": "<string>",
"mediatype": "<string>",
"mimetype": "<string>",
"caption": "<string>",
"media": "<string>",
"fileName": "<string>",
"delay": 123,
"linkPreview": true,
"mentionsEveryOne": true,
"mentioned": [
"{{remoteJID}}"
],
"quoted": {
"key": {
"id": "<string>"
},
"message": {
"conversation": "<string>"
}
}
}
'import requests
url = "https://api.l2msg.com/whatsapp/message/sendMedia/{instance}"
payload = {
"number": "<string>",
"mediatype": "<string>",
"mimetype": "<string>",
"caption": "<string>",
"media": "<string>",
"fileName": "<string>",
"delay": 123,
"linkPreview": True,
"mentionsEveryOne": True,
"mentioned": ["{{remoteJID}}"],
"quoted": {
"key": { "id": "<string>" },
"message": { "conversation": "<string>" }
}
}
headers = {
"apikey": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {apikey: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
number: '<string>',
mediatype: '<string>',
mimetype: '<string>',
caption: '<string>',
media: '<string>',
fileName: '<string>',
delay: 123,
linkPreview: true,
mentionsEveryOne: true,
mentioned: ['{{remoteJID}}'],
quoted: {key: {id: '<string>'}, message: {conversation: '<string>'}}
})
};
fetch('https://api.l2msg.com/whatsapp/message/sendMedia/{instance}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"key": {
"remoteJid": "553198296801@s.whatsapp.net",
"fromMe": true,
"id": "BAE5F5A632EAE722"
},
"message": {
"imageMessage": {
"url": "https://mmg.whatsapp.net/o1/v/t62.7118-2...",
"mimetype": "image/png",
"caption": "Caption text",
"fileSha256": "VbCGkGBv5SZStLD5PHdkBWpQav/lNsXcY...",
"fileLength": "1305757",
"height": 1080,
"width": 1920,
"mediaKey": "aFQK9Ocw5tE7Nf0iBA42Xcb4Dee6G1k/pLL...",
"fileEncSha256": "bGVtYeR3458RwC0p1tsGDNuj+vOu/...",
"directPath": "/o1/v/t62.7118-24/f1/m232/up-oil...",
"mediaKeyTimestamp": "1717775573",
"jpegThumbnail": "/9j/2wBDABALDA4MChAODQ4SERATG...",
"contextInfo": {}
}
},
"messageTimestamp": "1717775575",
"status": "PENDING"
}Send Message
Send Media
Send media message
POST
/
message
/
sendMedia
/
{instance}
Send Media
Authorizations
Your authorization key header
Path Parameters
Name instance
Body
application/json
Number to receive the message (with country code)
Image, video or document
image/png
Teste de caption
Url or base64
Image.png
Presence time in milliseconds before sending message
Shows a preview of the target website if there's a link within the message
Mentioned everyone when the message send
Numbers to mention
Available options:
{{remoteJID}} Show child attributes
Show child attributes
Response
201 - application/json
Created
The key of the message, which identifies the message in the chat.
Show child attributes
Show child attributes
The message content, which may include various types of messages like text, images, etc.
Show child attributes
Show child attributes
The timestamp of the message, represented as a string.
The status of the message, such as sent, received, or pending.
⌘I